Subject: [bug#30647] [PATCH] guix build: Support '--remote-log-file=PACKAGE'.

From: Oleg Pykhalov <[email-masked]>
Date: Thu, 01 Mar 2018 07:19:22 +0300

Hello Ludovic,

[email-masked] (Ludovic Courtès) writes:

> Oleg Pykhalov <[email-masked]> skribis:
>
>> ‘--remote-log-file’ allows to get a URL for a build log file on a substitute
>> server regardless is it built locally.  ‘--log-file’ returns always local
>> build log file.
>
> What did you think of having ‘--log-file’ transparently fall back to
> searching for log files on substitute servers?

Sorry, I don't understand the question.  Does the “fall back” mean the
behavior before a patch?

> I find it handy, but also wondered if it might surprise users that such
> a trivially-looking option connects to external servers.  I thought
> about having it print something when it does so.  Would address your
> concerns?

Do you mean always connect to the external server and print a URL for a
log file in addition to path of local log file?  I don't think mixing
those in one output is good, because for example you cannot do like:
--8<---------------cut here---------------start------------->8---
diff -u <(guix build --log-file hello) <(guix build --remote-log-file hello)
--8<---------------cut here---------------end--------------->8---

As a better approach in addition to ‘--no-substitutes’, maybe we could
implement ‘--only-substitutes’ (as I remember Nix has it)?  Such flag
will return a remote log file and will avoid building packages locally.

Oleg.